at.chipkarte.client.dmp.soap

## Class EingabeErgebnis

- Object
- - at.chipkarte.client.dmp.soap.EingabeErgebnis

-     public class EingabeErgebnis
      extends Object

  Enthält die Daten zu einer erfolgreich durchgeführten DMP-Eingabe.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EingabeErgebnis()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDmpCode()` Code des Disease Management Programms, für das ein Betreuungsverhältnis für den Patienten besteht.
    `String` | `getEingabeStatus()` Status der Eingabe.
    `String` | `getEingabeZeitstempel()` Zeitpunkt, ab dem die Eingabe zur Weitergabe zum DMP-Backend bereitsteht.
    `String` | `getEmailAdresse()` E-Mail-Adresse des Patienten.
    `String` | `getFachgebietsCode()` Code des Fachgebietes, für das ein Betreuungsverhältnis für den Patienten besteht.
    `String` | `getLeistungserbringer()` Tatsächlich behandelnder Arzt (dezidierter Leistungserbringer).
    `SvPerson` | `getPatient()` Daten zum DMP-Patient.
    `String` | `getSvtCode()` Code des Sozialversicherungsträgers, für den ein Betreuungsverhältnis für den Patienten besteht.
    `String` | `getTelefonNummer()` Telefonnummer des Patienten.
    `Zustelladresse` | `getZustellAdresse()` Adresse des Patienten für die Zustellung der Eingabe.
    `Boolean` | `isUebersteuert()` Information, ob der Sozialversicherungsträger übersteuert wurde.
    `void` | `setDmpCode(String dmpCode)`
    `void` | `setEingabeStatus(String eingabeStatus)`
    `void` | `setEingabeZeitstempel(String eingabeZeitstempel)`
    `void` | `setEmailAdresse(String emailAdresse)`
    `void` | `setFachgebietsCode(String fachgebietsCode)`
    `void` | `setLeistungserbringer(String leistungserbringer)`
    `void` | `setPatient(SvPerson patient)`
    `void` | `setSvtCode(String svtCode)`
    `void` | `setTelefonNummer(String telefonNummer)`
    `void` | `setUebersteuert(Boolean isUebersteuert)`
    `void` | `setZustellAdresse(Zustelladresse zustellAdresse)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EingabeErgebnis

          public EingabeErgebnis()

  - ### Method Detail

    - #### getDmpCode

          public String getDmpCode()

      Code des Disease Management Programms, für das ein Betreuungsverhältnis für den Patienten besteht.
      Mögliche Werte siehe `Funktion getDMPs()`.
      Format: maximal 2-stellig.
      Returns:
        Code des Disease Management Programms

    - #### getEingabeStatus

          public String getEingabeStatus()

      Status der Eingabe.
      Mögliche Werte siehe `Konstante AnfrageStatus`.
      Format: maximal 3-stellig.
      Returns:
        Status der Eingabe

    - #### getEingabeZeitstempel

          public String getEingabeZeitstempel()

      Zeitpunkt, ab dem die Eingabe zur Weitergabe zum DMP-Backend bereitsteht.
      Format: "TT.MM.JJJJ HH:MM".
      Returns:
        EingabeZeitstempel

    - #### getEmailAdresse

          public String getEmailAdresse()

      E-Mail-Adresse des Patienten.
      Format: maximal 256-stellig.
      Returns:
        E-Mail-Adresse

    - #### getFachgebietsCode

          public String getFachgebietsCode()

      Code des Fachgebietes, für das ein Betreuungsverhältnis für den Patienten besteht.
      Mögliche Werte siehe `Funktion getFachgebiete()`.
      Format: maximal 2-stellig.
      Returns:
        FachgebietsCode

    - #### isUebersteuert

          public Boolean isUebersteuert()

      Information, ob der Sozialversicherungsträger übersteuert wurde.
      Returns:
        True, wenn der Sozialversicherungsträger übersteuert wurde, ansonsten False.

    - #### getPatient

          public SvPerson getPatient()

      Daten zum DMP-Patient.
      Returns:
        SvPerson

    - #### getSvtCode

          public String getSvtCode()

      Code des Sozialversicherungsträgers, für den ein Betreuungsverhältnis für den Patienten besteht.
      Mögliche Werte siehe `Funktion getSVTs`.
      Format: maximal 2-stellig.
      Returns:
        Code des Sozialversicherungsträgers

    - #### getTelefonNummer

          public String getTelefonNummer()

      Telefonnummer des Patienten.
      Format: maximal 50-stellig.
      Returns:
        Telefonnummer

    - #### getLeistungserbringer

          public String getLeistungserbringer()

      Tatsächlich behandelnder Arzt (dezidierter Leistungserbringer).
      Format: maximal 200-stellig.
      Returns:
        Leistungserbringer

    - #### getZustellAdresse

          public Zustelladresse getZustellAdresse()

      Adresse des Patienten für die Zustellung der Eingabe.
      Returns:
        Zustelladresse

    - #### setDmpCode

          public void setDmpCode(String dmpCode)

    - #### setEingabeStatus

          public void setEingabeStatus(String eingabeStatus)

    - #### setEingabeZeitstempel

          public void setEingabeZeitstempel(String eingabeZeitstempel)

    - #### setEmailAdresse

          public void setEmailAdresse(String emailAdresse)

    - #### setFachgebietsCode

          public void setFachgebietsCode(String fachgebietsCode)

    - #### setUebersteuert

          public void setUebersteuert(Boolean isUebersteuert)

    - #### setPatient

          public void setPatient(SvPerson patient)

    - #### setSvtCode

          public void setSvtCode(String svtCode)

    - #### setTelefonNummer

          public void setTelefonNummer(String telefonNummer)

    - #### setLeistungserbringer

          public void setLeistungserbringer(String leistungserbringer)

    - #### setZustellAdresse

          public void setZustellAdresse(Zustelladresse zustellAdresse)